summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorSimon McVittie <simon.mcvittie@collabora.co.uk>2007-06-06 16:58:43 +0000
committerSimon McVittie <simon.mcvittie@collabora.co.uk>2007-06-06 16:58:43 +0000
commite1cd09b7984775e559f1e9241395b543a091af75 (patch)
treefa57b80dcaaeced7c2264687d3fa5ee0cc64d281 /autogen.sh
parent8df55d38b2c7326afa3f07ec9c0665929da93300 (diff)
downloadtelepathy-salut-e1cd09b7984775e559f1e9241395b543a091af75.tar.gz
Pull in auto-generation machinery from Gabble. Move tools from lib/ to extensions/ to resemble Gabble
20070606165843-53eee-ee2cd10c63a285e337237aa70c295477b0be051d.gz
Diffstat (limited to 'autogen.sh')
-rw-r--r--autogen.sh27
1 files changed, 26 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index e8517d2f..f84b7846 100644
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,2 +1,27 @@
#!/bin/sh
-autoreconf -i && ./configure "$@"
+set -e
+
+if test -z "$MAKE"
+then
+ MAKE=make
+fi
+
+( cd extensions && \
+ TOP_SRCDIR=.. sh tools/update-spec-gen-am.sh _gen/spec-gen.am _gen )
+
+autoreconf -i
+
+run_configure=true
+for arg in $*; do
+ case $arg in
+ --no-configure)
+ run_configure=false
+ ;;
+ *)
+ ;;
+ esac
+done
+
+if test $run_configure = true; then
+ ./configure "$@"
+fi